summaryrefslogtreecommitdiff
path: root/tests/tests/mirror-private
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/mirror-private')
-rwxr-xr-xtests/tests/mirror-private30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/tests/mirror-private b/tests/tests/mirror-private
new file mode 100755
index 0000000..1e885ae
--- /dev/null
+++ b/tests/tests/mirror-private
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-mirror
+
+t-dependencies rsync
+
+t-debpolicy
+
+t-tstunt-parsechangelog
+t-prep-newpackage example 1.0
+
+t-mirror-setup
+
+cd $p
+revision=1
+
+t-reporefs master
+
+t-dgit build
+t-dgit push --new
+
+t-check-not-mirrored
+t-files-notexist $reposmirror/$p.*
+
+t-archive-process-incoming sid
+t-policy-periodic
+t-check-mirrored
+
+t-ok